Latest releases

Minimum requirements

Windows

Windows 7 and later are supported, older operating systems are not supported (and do not work). Both x86 and amd64 (x64) binaries are provided for Windows. Please note, the ARM version of Windows is not supported for now.

Mac

Only 64bit binaries are provided for OS X, and the minimum OS X version supported is OS X 10.9.

Download for Windows Download for Mac


AirBase Desktop 2.0.1 April 2 2019

Release notes for version 2.0.1

  • Bug fixes

AirBase Desktop 2.0.0 March 3 2019

Release notes for version 2.0.0

  • Adds support for Mavic 2 Pro
  • Adds support for Mavic 2 Zoom
  • Adds support for Spark
  • Adds support for Mavic Air
  • Adds support for Phantom 4 Pro v.2
Privacy 2018 AirBase App